OpenAPI specification
Release: ActiveSingle operation + dependencies. Includes the request, responses, and referenced schemas for this API—not the full product specification.
Retrieve wallet balance.
/ch/v1/funds/balance-inquiryUse this payload to inquiry a wallet balance for a buyer or seller, including constituent balances and tenders.
Showing 8 of 8 top-level parameters (19 total fields) for Balance Inquiry
Client-Request-IdRequiredstringheaderUnique request correlation identifier used in HMAC signing.
TimestampRequiredstringheaderUnix epoch timestamp in milliseconds used in HMAC signing.
Auth-Token-TypeRequiredstringheaderAuthentication mechanism used by the request.
Available enum values
Selecting a value updates the request header.
AuthorizationRequiredstringheaderBase64 HMAC-SHA-256 signature; no prefix.
partyRequiredobjectParty whose wallet balance is requested.
merchantDetailsRequiredobjectUsed to pass merchant specific data during the transaction.
transactionDetailsRequiredobjectTransaction details specific to each request based on business requirements.
additionalDataCommonobjectCommon data passed during a transaction request based on business requirements.
Request
Balance InquiryResponse
Top-level fields returned in a successful (201) response.
gatewayResponseobjectGateway response and transaction state. Use transactionId or apiTraceId to track asynchronous completion.
paymentReceiptobjectPayment receipt response details.
curl --request POST 'https://connect-cert.fiservapis.net/ch/v1/funds/balance-inquiry' \
--header 'Client-Request-Id: <Client-Request-Id>' \
--header 'Timestamp: <Timestamp>' \
--header 'Auth-Token-Type: HMAC' \
--header 'Authorization: YOUR_BASE64_HMAC_SIGNATURE' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data-raw '{
"party": {
"partyId": "100000000010001",
"platform": {
"merchantPartyId": "test-merchant-4899455"
},
"partyRole": "BUYER"
},
"merchantDetails": {
"merchantId": "104604000000046",
"terminalId": "10000001"
},
"transactionDetails": {
"merchantTransactionId": "ALI-BAL-10001-01",
"operationType": "BALANCE_INQUIRY",
"balanceInquiry": true,
"paymentDescription": "wallet balance inquiry"
},
"additionalDataCommon": {
"channel": "ECOM"
}
}'| HTTP | Description |
|---|---|
| 400 | The request cannot be validated. |
| 401 | The request was unauthorized. |
| 404 | The requested resource does not exist. |
| 408 | The request was timed out due to not receiving the request in time. |
| 415 | The media type is not supported. |
| 425 | The request was sent too early. |
| 429 | Too many request were sent. |
| 500 | An unexpected internal server error occurred. |
| 503 | The service was unavailable. |
| 504 | The request timed out while waiting for a response. |
Single operation + dependencies. Includes the request, responses, and referenced schemas for this API—not the full product specification.
No Postman workflow is mapped to this operation. No product-wide collection is substituted.
QA collections: Configure your environment and credentials before running. Some requests create resources or move funds.